Create an artifact and immutable revision 1
curl --request POST \
--url https://atollhq.com/api/orgs/{id}/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"content_format": "markdown",
"links": [
{
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/artifacts"
payload = {
"title": "<string>",
"content": "<string>",
"content_format": "markdown",
"links": [{ "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
content_format: 'markdown',
links: [{target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
})
};
fetch('https://atollhq.com/api/orgs/{id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "prd",
"title": "<string>",
"current_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_type": "prd",
"target_type": "issue",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
],
"can_edit": true,
"can_unlink": true
},
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_number": 2,
"title_snapshot": "<string>",
"content": "<string>",
"content_format": "markdown",
"content_digest": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
},
"links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_type": "prd",
"target_type": "issue",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Artifacts
Create an artifact and immutable revision 1
POST
/
api
/
orgs
/
{id}
/
artifacts
Create an artifact and immutable revision 1
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
prd, implementation_plan, test_plan, decision, research, release_checklist Artifact title; the server enforces a 200-byte UTF-8 limit.
Required string length:
1 - 200Markdown or HTML source; the server enforces a 256 KiB UTF-8 limit before sanitization.
Required string length:
1 - 262144Available options:
markdown, html Maximum array length:
20Show child attributes
Show child attributes

